Categories:
  - System
License: GPL-3.0-only
AuthorName: Tibor Kaputa
AuthorEmail: hello@simplemobiletools.com
WebSite: https://simplemobiletools.com
SourceCode: https://github.com/SimpleMobileTools/Simple-File-Manager
IssueTracker: https://github.com/SimpleMobileTools/Simple-File-Manager/issues
Changelog: https://github.com/SimpleMobileTools/Simple-File-Manager/blob/HEAD/CHANGELOG.md
Donate: https://simplemobiletools.com/donate
Bitcoin: 19Hc8A7sWGud8sP19VXDC5a5j28UyJfpyJ
Litecoin: LYACbHTKaM9ZubKQGxJ4NRyVy1gHUuztRP

Name: Simple File Manager Pro
AutoName: File Manager

RepoType: git
Repo: https://github.com/SimpleMobileTools/Simple-File-Manager

Builds:
  - versionName: 6.0.0
    versionCode: 63
    commit: 6.0.0
    subdir: app
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - libs
    prebuild:
      - sed -i -e '/RootTools.jar/d' -e '/keystore/d' build.gradle
      - mkdir -p src/main/java
      - cp -a $$RootTools$$/src/com src/main/java/
      - cp -a $$RootShell$$/src/com src/main/java/

  - versionName: 6.0.1
    versionCode: 64
    commit: 6.0.1
    subdir: app
    gradle:
      - yes
    srclibs:
      - RootTools@4.2
      - RootShell@1.3
    rm:
      - libs
    prebuild:
      - sed -i -e '/RootTools.jar/d' -e '/keystore/d' build.gradle
      - mkdir -p src/main/java
      - cp -a $$RootTools$$/src/com src/main/java/
      - cp -a $$RootShell$$/src/com src/main/java/

  - versionName: 6.0.2
    versionCode: 65
    commit: 6.0.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.1.0
    versionCode: 66
    commit: 6.1.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.1.1
    versionCode: 67
    commit: 6.1.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.1.2
    versionCode: 68
    commit: 6.1.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.1.3
    versionCode: 70
    commit: 6.1.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.2.0
    versionCode: 71
    commit: 6.2.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.0
    versionCode: 72
    commit: 6.3.0
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.1
    versionCode: 73
    commit: 6.3.1
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.2
    versionCode: 74
    commit: 6.3.2
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.3
    versionCode: 75
    commit: 6.3.3
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.4
    versionCode: 76
    commit: 6.3.4
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.5
    versionCode: 77
    commit: 6.3.5
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.6
    versionCode: 78
    commit: 6.3.6
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.7
    versionCode: 79
    commit: 6.3.7
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.3.8
    versionCode: 80
    commit: 6.3.8
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/keystore/d' build.gradle

  - versionName: 6.5.0
    versionCode: 84
    commit: 6.5.0
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.5.3
    versionCode: 87
    commit: 6.5.3
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.6.0
    versionCode: 88
    commit: 6.6.0
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.6.1
    versionCode: 89
    commit: 6.6.1
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.7.0
    versionCode: 90
    commit: 6.7.0
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.7.1
    versionCode: 91
    commit: 6.7.1
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.7.2
    versionCode: 92
    commit: 6.7.2
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.7.3
    versionCode: 93
    commit: 6.7.3
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.7.4
    versionCode: 94
    commit: 6.7.4
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.0
    versionCode: 95
    commit: 6.8.0
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.1
    versionCode: 96
    commit: 6.8.1
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.2
    versionCode: 97
    commit: 6.8.2
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.3
    versionCode: 98
    commit: 6.8.3
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.4
    versionCode: 99
    commit: 6.8.4
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.5
    versionCode: 100
    commit: 6.8.5
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.6
    versionCode: 101
    commit: 6.8.6
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.7
    versionCode: 102
    commit: 6.8.7
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.8.8
    versionCode: 103
    commit: 6.8.8
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.9.0
    versionCode: 104
    commit: 6.9.0
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.9.1
    versionCode: 105
    commit: 6.9.1
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.9.2
    versionCode: 106
    commit: 6.9.2
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.9.3
    versionCode: 107
    commit: 55aa2253836050eea2426e1132a55a08155c3eff
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.9.4
    versionCode: 108
    commit: 9854ccc2e379e078b7c4a2779016dd5192ba9959
    subdir: app
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.10.1
    versionCode: 110
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: cabcfb8cc9da3bf0a73c6faef4c6ea253654c461
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.11.0
    versionCode: 111
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: c9adb349aedfc20e1b05b9cb1f875b33f9b4e473
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.11.1
    versionCode: 112
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: db441e573dbbf2bdf3da99f4f8e14f3b973cb15d
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.11.2
    versionCode: 113
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 7eb8f3325f92a3121c9d6798e7c3d083cf34c09a
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.11.3
    versionCode: 114
    disable: https://gitlab.com/fdroid/rfp/-/issues/2007
    commit: 7bf2d6d7a365172519c2781dabaa892c68b49973
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - yes

  - versionName: 6.11.4
    versionCode: 115
    commit: fea285b69580055632f150a026b953ce2d2cd23c
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - fdroid

  - versionName: 6.12.0
    versionCode: 116
    commit: 1a6f55be8115c559d4bb7a99e4a5d04848233824
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    patch:
      - build.patch
    gradle:
      - fdroid

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: 6.12.0
CurrentVersionCode: 116
